[global]
mailhost = smtprelay.lmig.com
sender = Qlik_Admin@LibertyMutual.com
#receivers = HTTP_509@LibertyMutual.com, PMEDW_Prod_Support@LibertyMutual.com
receivers = Wendell.Jones@LibertyMutual.com
exclude_list = "'HEADER_CHANGE_SEQ','HEADER_CHANGE_OPER','HEADER_CHANGE_MASK','HEADER_STREAM_POSITION','HEADER_OPERATION','HEADER_TRANSACTION_ID','HEADER_TIMESTAMP','GG_PRC_OWNER','GG_SRC_SERVER','GG_CSN','GG_RSN','GG_REPLICAT','GG_EXTRACT','GG_XID','GG_CORRELATION_ID','GG_USER_ID','GG_FILESEQNO','GG_FILERBA','change_seq','change_oper','change_mask','stream_position','operation','transaction_id','timestamp','header_change_seq','header_change_oper','header_change_mask','header_stream_position','header_operation','header_transaction_id','header_timestamp','STG_PROCESS_DATE','ODS_EFF_ROW_DT','ODS_EXP_ROW_DTM','ODS_CDC_TRANS_TYPE','ODS_CREATE_ROW_DTM','ODS_CREATE_ROW_DT','ODS_ROW_PROCESS_DTM','ODS_SID','ODS_AUDIT_ID','ODS_EFF_ROW_DTM','ODS_EXP_ROW_DT','ROW_EXP_DT','ROW_EFF_DT'"
full_qlik_columns = HEADER_CHANGE_SEQ,HEADER_CHANGE_OPER,HEADER_CHANGE_MASK,HEADER_STREAM_POSITION,HEADER_OPERATION,HEADER_TRANSACTION_ID,HEADER_TIMESTAMP
# BELOW LINE LISTS QLIK COLUMNS ELIMINATING HEADER_CHANGE_MASK AS IT IS A BYTES COLUMN
qlik_columns = HEADER_CHANGE_SEQ,HEADER_CHANGE_OPER,HEADER_STREAM_POSITION,HEADER_OPERATION,HEADER_TRANSACTION_ID,HEADER_TIMESTAMP
gg_columns=GG_PRC_OWNER, GG_SRC_SERVER, GG_CSN, GG_RSN, GG_REPLICAT, GG_EXTRACT, GG_XID, GG_CORRELATION_ID, GG_USER_ID, GG_FILESEQNO, GG_FILERBA
mssql_gg_columns=ODS_CDC_TRANS_TYPE,ODS_EFF_ROW_DTM,ODS_CREATE_ROW_DTM,ODS_CREATE_ROW_DT,ODS_ROW_PROCESS_DTM,ODS_EFF_ROW_DT,GG_XID,GG_CORRELATION_ID,GG_USER_ID,GG_FILESEQNO,GG_FILERBA,ODS_EXP_ROW_DTM,ODS_SID,ODS_AUDIT_ID,ODS_EXP_ROW_DT
cleanup_tempdata=0
# valid options for utility database are "snowflake" or "sqlite"
utilitydb=sqlite
fromdata = ./csv_files/from_data.csv
todata = ./csv_files/to_data.csv
recovereddata = ./csv_files/recovered_data.csv
    
[log_table]
DEV=PL_DEV.PM_EDW_META_D.TRANS_RECOVER_LOG
QA=PL_QA.PM_EDW_META_D.TRANS_RECOVER_FROM_LOG
PROD=PL_PROD.PM_EDW_META_D.TRANS_RECOVER_FROM_LOG

#Need all logins added here with passwords encrypted
[sf_targets]
PL_DEV_QLIK_PM_TRANS_CL_EPALARM_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CL_EPALARM_D,dFdRNWdXeUM=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CL_EPALARM_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_CL_ICREPO_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CL_ICREPO_D,cDJTWldwQXE=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CL_ICREPO_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_AVAYA_REPO_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_AVAYA_REPO_D,WjgzSm83QzQ=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_AVAYA_REPO_QLIK_CT_D
PL_DEV_QLIK_PM_ODS_VISION_D=PL_DEV,PL_DEV_QLIK_PM_ODS_VISION_D,NUgzWGFuVE0=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_ODS_VISION_QLIK_CT_D
PL_DEV_QLIK_PM_ODS_XTRNL_INCMNG_D=PL_DEV,PL_DEV_QLIK_PM_ODS_XTRNL_INCMNG_D,UGJaZ3FVeDU=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_ODS_XTRNL_INCMING_D
PL_DEV_QLIK_PM_TRANS_CMS_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CMS_D,ZDdkODc0V1I=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CMS_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_CL_EPCUST_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CL_EPCUST_D,RXJRUjlZS0o=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CL_EPCUST_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_AVAYA_CTIEMAIL_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_AVAYA_CTIEMAIL_D,SlR6VjBWaG0=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_AVAYA_CTIEMAIL_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_CL_OAHIST_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CL_OAHIST_D,NlJ5eFhBNXE=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CL_OAHIST_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_SALES_COMP_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_SALES_COMP_D,S3U4djJFUWI=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_SALES_COMP_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_CL_AB_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CL_AB_D,aDdBSE9Vclc=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CL_AB_ALT_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_VH_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_VH_D,Y0JVSHltOWU=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_VH_QLIK_CT_D
PL_DEV_QLIK_PM_ODS_FIN_FINX_D=PL_DEV,PL_DEV_QLIK_PM_ODS_FIN_FINX_D,VTZuWTdBR3k=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_ODS_FIN_FINX_QLIK_D
PL_DEV_QLIK_PM_ODS_VISION_TRANS_D=PL_DEV,PL_DEV_QLIK_PM_ODS_VISION_TRANS_D,ejY1S3RIZk0=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_ODS_VISION_TRANS_QLIK_CT_D
PL_DEV_QLIK_PM_EDW_TRANS_D=PL_DEV,PL_DEV_QLIK_PM_EDW_TRANS_D,TU5uSHE2WVA=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_EDW_TRANS_QLIK_CT_D
PL_DEV_QLIK_PM_TRANS_CTI_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CTI_D,Um5IOEVLRmU=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CTI_QLIK_CT_D
PL_DEV_QLIK_PM_EDW_TRANS_NRT_SD_D=PL_DEV,PL_DEV_QLIK_PM_EDW_TRANS_NRT_SD_D,UXBBaFd5Nno=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_EDW_TRANS_NRT_SD_QLIK_CT_D
PL_DEV_QLIK_PM_EDW_PSA_D=PL_DEV,PL_DEV_QLIK_PM_EDW_PSA_D,UWtDZzczNkg=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_EDW_PSA_D
PL_DEV_QLIK_PM_TRANS_CL_CC_PRL_D=PL_DEV,PL_DEV_QLIK_PM_TRANS_CL_CC_PRL_D,S2o5OEVmWEo=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,PM_TRANS_CL_CC_PRL_QLIK_CT_D
PL_QA_QLIK_PM_EDW_PSA_D=PL_QA,PL_QA_QLIK_PM_EDW_PSA_D,cjlMUXRQRE4=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_EDW_PSA_D
PL_QA_QLIK_PM_EDW_TRANS_D=PL_QA,PL_QA_QLIK_PM_EDW_TRANS_D,T01JN3RDYko=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_EDW_TRANS_QLIK_CT_D
PL_QA_QLIK_PM_EDW_TRANS_NRT_SD_D=PL_QA,PL_QA_QLIK_PM_EDW_TRANS_NRT_SD_D,bTc5QjdTRmk=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_EDW_TRANS_NRT_SD_QLIK_CT_D
PL_QA_QLIK_PM_ODS_FIN_FINX_D=PL_QA,PL_QA_QLIK_PM_ODS_FIN_FINX_D,dXZhZE04OXk=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_ODS_FIN_FINX_QLIK_D
PL_QA_QLIK_PM_ODS_VISION_D=PL_QA,PL_QA_QLIK_PM_ODS_VISION_D,c3FoNVZ4R1Y=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_ODS_VISION_QLIK_CT_D,PM_ODS_VISION_QLIK_D
PL_QA_QLIK_PM_ODS_VISION_TRANS_D=PL_QA,PL_QA_QLIK_PM_ODS_VISION_TRANS_D,dndBSjQwSks=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_ODS_VISION_TRANS_QLIK_CT_D
PL_QA_QLIK_PM_ODS_XTRNL_INCMNG_D=PL_QA,PL_QA_QLIK_PM_ODS_XTRNL_INCMNG_D,Z0NSWGp0NVE=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_ODS_XTRNL_INCMING_D
PL_QA_QLIK_PM_TRANS_AVAYA_CTIEMAIL_D=PL_QA,PL_QA_QLIK_PM_TRANS_AVAYA_CTIEMAIL_D,VUcxZVJ4a00=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_AVAYA_CTIEMAIL_D
PL_QA_QLIK_PM_TRANS_AVAYA_REPO_D=PL_QA,PL_QA_QLIK_PM_TRANS_AVAYA_REPO_D,WVI2N2VlVWQ=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_AVAYA_REPO_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CL_AB_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_AB_D,aXI2WFFjYUQ=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_AB_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CL_AB_ALT_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_AB_D,aXI2WFFjYUQ=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_AB_QLIK_ALT_CT_D
PL_QA_QLIK_PM_TRANS_CL_CC_PRL_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_CC_PRL_D,WlE1alpGeXU=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_CC_PRL_QLIK_CT_D
PL_QA_ALT_QLIK_PM_TRANS_CL_CC_PRL_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_CC_PRL_D,WlE1alpGeXU=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_CC_ALT_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CL_EPALARM_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_EPALARM_D,YjZTbzFpSVE=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_EPALARM_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CL_EPCUST_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_EPCUST_D,VDZQU0hEeko=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_EPCUST_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CL_ICREPO_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_ICREPO_D,STZUNnFkMVA=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_ICREPO_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CL_OAHIST_D=PL_QA,PL_QA_QLIK_PM_TRANS_CL_OAHIST_D,QW1Id0oxQTM=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CL_OAHIST_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CMS_D=PL_QA,PL_QA_QLIK_PM_TRANS_CMS_D,bHFUenNMM1A=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CMS_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_CTI_D=PL_QA,PL_QA_QLIK_PM_TRANS_CTI_D,SE5jSVNJSTE=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_CTI_D
PL_QA_QLIK_PM_TRANS_SALES_COMP_D=PL_QA,PL_QA_QLIK_PM_TRANS_SALES_COMP_D,aER1cDRraVA=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_SALES_COMP_QLIK_CT_D
PL_QA_QLIK_PM_TRANS_VH_D=PL_QA,PL_QA_QLIK_PM_TRANS_VH_D,S0hxakxhOUQ=,libertymutual_grm_us_edw.us-east-1,PL_QA_QLIK_LOAD_WH,PM_TRANS_VH_QLIK_CT_D
PL_PROD_QLIK_PM_EDW_PSA_D=PL_PROD,PL_PROD_QLIK_PM_EDW_PSA_D,QVE0eEFkaEI=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_EDW_PSA_D
PL_PROD_QLIK_PM_EDW_TRANS_D=PL_PROD,PL_PROD_QLIK_PM_EDW_TRANS_D,bUR4MjV5Ulk=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_EDW_TRANS_QLIK_CT_D
PL_PROD_QLIK_PM_EDW_TRANS_NRT_SD_D=PL_PROD,PL_PROD_QLIK_PM_EDW_TRANS_NRT_SD_D,b1EzZFdTVHg=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_EDW_TRANS_NRT_SD_QLIK_CT_D
PL_PROD_QLIK_PM_ODS_FIN_FINX_D=PL_PROD,PL_PROD_QLIK_PM_ODS_FIN_FINX_D,aERweDNiaVg=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_ODS_FIN_FINX_QLIK_D
PL_PROD_QLIK_PM_ODS_VISION_D=PL_PROD,PL_PROD_QLIK_PM_ODS_VISION_D,U0tsOWpzVEU=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_ODS_VISION_QLIK_D
PL_PROD_QLIK_PM_ODS_VISION_TRANS_D=PL_PROD,PL_PROD_QLIK_PM_ODS_VISION_TRANS_D,aTZmMVB4TU8=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_ODS_VISION_TRANS_QLIK_CT_D
PL_PROD_QLIK_PM_ODS_XTRNL_INCMNG_D=PL_PROD,PL_PROD_QLIK_PM_ODS_XTRNL_INCMNG_D,eDh4RFlPQTc=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_ODS_XTRNL_INCMING_D
PL_PROD_QLIK_PM_TRANS_AVAYA_CTIEMAIL_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_AVAYA_CTIEMAIL_D,cnJacWxMTjE=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_AVAYA_CTIEMAIL_D
PL_PROD_QLIK_PM_TRANS_AVAYA_REPO_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_AVAYA_REPO_D,bjdQQWtvcm4=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_AVAYA_REPO_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_AB_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_AB_D,bHc5RmRSTTI=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_AB_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_AB_ALT_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_AB_D,bHc5RmRSTTI=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_AB_ALT_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_CC_PRL_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_CC_PRL_D,YmdDYTRNWE8=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_CC_PRL_QLIK_CT_D
PL_PROD_ALT_QLIK_PM_TRANS_CL_CC_PRL_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_CC_PRL_D,YmdDYTRNWE8=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_CC_ALT_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_EPALARM_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_EPALARM_D,cjlDbm12Yjg=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_EPALARM_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_EPCUST_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_EPCUST_D,WjVqTDlySHU=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_EPCUST_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_ICREPO_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_ICREPO_D,TTB6VTNVcGQ=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_ICREPO_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CL_OAHIST_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CL_OAHIST_D,Tko5UlZRelc=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CL_OAHIST_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CMS_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CMS_D,Wjd2OE9EaVc=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CMS_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_CTI_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_CTI_D,RlFsU3N2QzY=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_CTI_D
PL_PROD_QLIK_PM_TRANS_SALES_COMP_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_SALES_COMP_D,NnFNYjNydjA=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_SALES_COMP_QLIK_CT_D
PL_PROD_QLIK_PM_TRANS_VH_D=PL_PROD,PL_PROD_QLIK_PM_TRANS_VH_D,bzQ3YWVaaEU=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,PM_TRANS_VH_QLIK_CT_D
IT_APP_NONPROD_QLIK=NONPROD_UTILITY,QLIK_U,UWx5Nzl5cW0=,libertymutual_grm_us_edw.us-east-1,PL_DEV_QLIK_LOAD_WH,QLIK_U
IT_APP_PROD_QLIK=PROD_UTILITY,QLIK_U,UWxwNjV5aG0=,libertymutual_grm_us_edw.us-east-1,PL_PROD_QLIK_LOAD_WH,QLIK_U


[query_template]
get_data_columns=select column_name from information_schema.columns where table_schema = 'r_impacted_tables.SCHEM' AND table_name = 'r_impacted_tables.TBL' and column_name not in (exclude_list);
get_all_columns=select column_name from information_schema.columns where table_schema = 'r_impacted_tables.SCHEM' AND table_name = 'r_impacted_tables.TBL';
get_data=SELECT v_column_list FROM sfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL WHERE ODS_EFF_ROW_DT = 'startdate';
get_daterange=SELECT v_column_list FROM sfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL WHERE ODS_EFF_ROW_DT >= 'startdate' AND ODS_EFF_ROW_DT <= 'enddate';
minus_query=SELECT v_column_list FROM fromsfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL EXCEPT SELECT v_column_list FROM tosfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL;
get_fromddl = SELECT get_ddl('TABLE','impacted_schema.impacted_table');
local_minus_query=SELECT v_column_list FROM fromsfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL MINUS SELECT v_column_list FROM tosfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL;
#populate_recoverytable=INSERT INTO recoverytable SELECT v_column_list FROM fromsfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL A, minustable B WHERE columnlist;        
populate_recoverytable=SELECT v_column_list FROM fromsfenv.r_impacted_tables.SCHEM.r_impacted_tables.TBL A, minustable B WHERE columnlist;
populate_minustable = INSERT INTO minustable SELECT * from sourcetable where whereclause;
get_tablelist=select distinct(table_name) from information_schema.columns where table_schema = 'r_impacted_tables.SCHEM';        

[sync_direction]
FROMENV=PL_PROD_ALT_QLIK_PM_TRANS_CL_CC_PRL_D
TOENV=PL_QA_ALT_QLIK_PM_TRANS_CL_CC_PRL_D
#FROMDB=PL_PROD
#TODB=PL_QA

[impacted_schema]
#schema=PM_ODS_VISION_QLIK_D
startdate= 2022-04-19
enddate= 2022-04-19
use_daterange=1

[db2_schemas]


[impacted_tables]
#STG_VKX0500T
CC_CLAIMSNAPSHOT